Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32902)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32903)
@@ -4927,8 +4927,8 @@
 <Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
-<Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
+<Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>.</Text>
 <Text id="indexers-3"><b>MG</b> is the original indexer used by Greenstone which is described in the book <b>"Managing Gigabytes"</b>. It does section level indexing and compression of the source documents. <b>MG</b> is implemented in C. </Text>
-<Text id="indexers-4"><b>MGPP</b> is a re-implementation of <b>MG</b> that provides word-level indexes and enables proximity, phrase and field searching. <b>MGPP</b> is implemented in C++ and is the default indexer for new collections.</Text>
-<Text id="indexers-5"><b>Lucene</b> (<Link>http://lucene.apache.org/</Link>) is a java-based, full-featured text indexing and searching system developed by Apache. It provides a similar range of search functionality to MGPP with the addition of single-character wildcards and range searching. It was added to Greenstone to facilitate incremental collection building, which <b>MG</b> and <b>MGPP</b> can't provide.</Text>
+<Text id="indexers-4"><b>MGPP</b> is a re-implementation of <b>MG</b> that provides word-level indexes and enables proximity, phrase and field searching. <b>MGPP</b> is implemented in C++<MajorVersion number="2"> and is the default indexer for new collections</MajorVersion>.</Text>
+<Text id="indexers-5"><b>Lucene</b> (<Link>http://lucene.apache.org/</Link>) is a java-based, full-featured text indexing and searching system developed by Apache. It provides a similar range of search functionality to MGPP with the addition of single-character wildcards and range searching. It was added to Greenstone to facilitate incremental collection building, which <b>MG</b> and <b>MGPP</b> can't provide<MajorVersion number="3">, and is the default indexer for new collections</MajorVersion>.</Text>
 <Heading>
 <Text id="indexers-6">Build with Lucene</Text>
@@ -4965,5 +4965,5 @@
 </Heading>
 <NumberedItem>
-<Text id="indexers-15">Lucene provides single letter and multiple letter wildcards and range searching. The query syntax could be quite complicated (for more information please see <Link>http://www.lucenetutorial.com/lucene-query-syntax.html</Link>). Here we will learn how to use the wildcards while constructing queries.</Text>
+<Text id="indexers-15">Lucene provides single letter and multiple letter wildcards and range searching. The query syntax could be quite complicated (for more information, please see <Link>http://www.lucenetutorial.com/lucene-query-syntax.html</Link>). Here we will learn how to use the wildcards while constructing queries.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5022,5 +5022,5 @@
 <MajorVersion number="3">
 <NumberedItem>
-<Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="ignore case differences"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> and <i>FAO</i> return the same result &mdash; 89 word counts and 11 matched documents.</Text>
+<Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with the MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="ignore case differences"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> and <i>FAO</i> return the same result &mdash; 89 word counts and 11 matched documents.</Text>
 <Text id="indexers-26a-3">Go to the <AutoText text="text search"/> page by clicking the <AutoText text="text search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is set to <AutoText text="ignore case differences"/>.</Text>
 </NumberedItem>
@@ -5071,5 +5071,5 @@
 <NumberedItem>
 <Text id="mgpp-7">Finally, the hotkeys can also be used in combination. For example, you can append <i>#uc</i> to a query term so as to match the whole term (without stemming) and in its exact form (differentiate upper cases and lower cases).</Text>
-<Text id="mgpp-8">For example, try searching for econom#si and compare against against the results when searching for econom#sc and for Econom#sc. The first search is case insensitive and the last two searches are both case sensitive.</Text>
+<Text id="mgpp-8">For example, try searching for econom#si and compare against against the results when searching for econom#sc and for Econom#sc. The first search is case insensitive and the last two searches are both case sensitive. The number of results for the last two searches should add up to the number of search results for the first search.</Text>
 </NumberedItem>
 <Heading>
@@ -5379,8 +5379,8 @@
 <AutoText key="gs3::interface_default::authen.password"/>: admin
 </Format>
-<Text id="themes-5">Click <AutoText key="gs3::interface_default::login_b"/>. It is advisable to change the default password, if you haven't already. To do this, click the <AutoText text="admin"/> button in the top right-hand corner, and select <AutoText key="gs3::interface_default::authen.account_settings"/>. Click <AutoText key="gs3::interface_default::authen.change_password"/>. Enter the <AutoText key="gs3::interface_default::authen.old_password"/> (admin); then enter a new password in the <AutoText key="gs3::interface_default::authen.new_password"/> and  <AutoText key="gs3::interface_default::authen.retype_password"/> text boxes. Click <AutoText key="gs3::interface_default::authen.submit"/>. The password will be changed, and you will be taken to the <AutoText key="gs3::interface_default::authen.authentication"/>, where you can view a list of the current users.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="themes-6">Go to <AutoText key="gs3::interface_default::pref_b"/>. Now that we are signed in as an administrator, we can see the <AutoText key="gs3::interface_default::pref.theme"/> option, where we can quickly change the theme of our collections. These themes were created using JQuery UIâs ThemeRoller (<Link>http://jqueryui.com/themeroller/</Link>).  The first four options (Greenstone Default and Greenstone Custom 1, 2 and 3) are included as part of the Greenstone 3 installation. The remaining themes are retrieved from the web via the jQuery UI API.</Text>
+<Text id="themes-5">Click <AutoText key="gs3::interface_default::login_b"/>. It is advisable to change the default password, if you haven't already. To do this, click the <AutoText text="admin"/> button in the top right-hand corner, and select <AutoText key="gs3::interface_default::authen.account_settings"/>. Click <AutoText key="gs3::interface_default::authen.change_password"/>. Enter the <AutoText key="gs3::interface_default::authen.old_password"/> (admin); then enter a new password in the <AutoText key="gs3::interface_default::authen.new_password"/> and  <AutoText key="gs3::interface_default::authen.retype_password"/> text boxes. Click <AutoText key="gs3::interface_default::authen.submit"/> and the password will be changed. Click on the <i>My Greenstone Library</i> link at the top left to go back to the home page. There you'll find a link to the <AutoText key="gs3::interface_default::authen.authentication"/> further down (you may need to scroll down if there are many collections). Click on it and you'll be taken to the <AutoText key="gs3::interface_default::authen.authentication"/>, where you can view a list of the current users.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="themes-6">Go to <AutoText key="gs3::interface_default::pref_b"/>. Now that we are signed in as an administrator, we can see the <AutoText key="gs3::interface_default::pref.theme"/> option, where we can quickly change the theme of our collections. These themes were created using JQuery UIâs ThemeRoller (<Link>http://jqueryui.com/themeroller/</Link>).  The first four options (Greenstone Default and Greenstone Custom 1 and 2) are included as part of the Greenstone 3 installation. The remaining themes are retrieved from the web via the jQuery UI API.</Text>
 <Text id="themes-7">Select <AutoText text="Theme: Greenstone Custom 2"/> from the drop-down menu, and click <AutoText key="gs3::interface_default::pref.set_prefs"/>. Now, all of the collections in your Greenstone library should have the Greenstone Custom 2 theme.</Text>
 <Text id="themes-8">Return to the library homepage (click <AutoText text="My Greenstone Library" type="italics"/> in the upper left-hand corner) and explore several of your collections. They should all display the new theme.</Text>
@@ -5790,5 +5790,5 @@
 </Heading>
 <NumberedItem>
-<Text id="hp-28">In <i>home-tutorial.xsl</i>, replace the two occurrences of <b>"A New Home Page"</b> with <Format>&lt;xsl:call-template name=&quot;siteName&quot;/&gt;</Format>.</Text>
+<Text id="hp-28">In <i>home-tutorial.xsl</i>, replace the first two occurrences of <b>"A New Home Page"</b> with <Format>&lt;xsl:call-template name=&quot;siteName&quot;/&gt;</Format>.</Text>
 <Text id="hp-29">Save <i>home-tutorial.xsl</i>, and refresh your home page.  The name of the browser window and the page's main header should now be "My Greenstone Library". By using this template, you can ensure your library's name is consistent across your entire library. If you decide to change your library name, you only need to make the change in one place. The following section demonstrates how to do this.</Text>
 </NumberedItem>
@@ -5849,5 +5849,5 @@
 
 
-<Text id="hp-05">This <i>library servlet</i> defines the default Greenstone3 library (called <b>library</b>). As you can see, the <b>library_name</b> is <i>library</i>, the <b>site_name</b> is <i>localsite</i>, and the <b>interface_name</b> is <i>default</i>. If you look at the next servlet section, you will see that it has a library_name of <i>halftone-library</i>, uses <i>localsite</i> and the interface <i>halftone</i>. If you continue to scroll down, you will see several other library servlets defined. There are also other kinds of servlets, for example, you will see a servlet called <i>oaiserver</i>, which provides the functionality for the OAI server (located at <i>http://localhost:8383/greenstone3/oaiserver</i> ).</Text>
+<Text id="hp-05">This <i>library servlet</i> defines the default Greenstone3 library (called <b>library</b>). As you can see, the <b>library_name</b> is <i>library</i>, the <b>site_name</b> is <i>localsite</i>, and the <b>interface_name</b> is <i>default</i>. If you look at the next servlet section, you will see that it has a library_name of <i>halftone-library</i>, uses <i>localsite</i> and the interface <i>halftone</i>. If you continue to scroll down, you will see several other library servlets defined. There are also other kinds of servlets, for example, you will see a servlet called <i>oaiserver</i>, which provides the functionality for the OAI server (located at <i>http://localhost:8383/greenstone3/oaiserver</i>).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5957,5 +5957,5 @@
 <Text id="dl-16">Save <b>servlets.xml</b>, restart the server again and navigate to <i>http://localhost:8383/greenstone3/rand</i>, where you will see the <b>rand</b> library, which displays <b>mysite</b> using the <b>althor</b> interface. </Text>
 <Comment>
-<Text id="dl-c5">The <b>althor</b> interface was created using a free CSS template created by <Link url="http://www.luiszuno.com">luiszuno.com</Link>. If any of your collections has a home page image, an image slider will appear on the home page of your library. (You can add a home page image to a collection in the <b>General</b> section of the <b>Format</b> panel in the GLI.) </Text>
+<Text id="dl-c5">The <b>althor</b> interface was created using a free CSS template created by <Link url="http://www.luiszuno.com">luiszuno.com</Link>. If any of your collections have a home page image, an image slider will appear on the home page of your library. (You can add a home page image to a collection in the <b>General</b> section of the <b>Format</b> panel in the GLI.) </Text>
 </Comment>
 </NumberedItem>
@@ -5966,7 +5966,10 @@
 <Text id="dl-17">When we restarted the server throughout this tutorial, Greenstone launched a browser window to <i>http://localhost:8383/greenstone3/library</i>, and we had to navigate to our new library's URL. When you are working in a particular library, you may want to go directly to its URL when the server starts. To do this, in the <b>Greenstone Server</b> window, go to <Path>File &rarr; Settings...</Path> and select your library (for example, <b>rand</b>) from the Servlet dropdown menu. Now, when you click <b>Restart Library</b>, a window will open to <i> http://localhost:8383/greenstone3/rand</i>. </Text>
 </NumberedItem>
+<!--
 <NumberedItem>
 <Text id="dl-17a">Quit the Greenstone 3 server.</Text>
 </NumberedItem>
+No longer necessary to quit the GS3 server when launching GLI. GLI will attach itself to a running GS3 server of the same install, else launch the server.
+-->
 <NumberedItem>
 <Text id="dl-18">In the GLI, you can change the current library under <Path>File &rarr; Preferences &rarr; Connection</Path>. First, select the <b>Site</b> you want to work with (for example, <i>mysite</i>). The <b>Servlet</b> dropdown menu will then include all of the libraries that use <i>mysite</i>. Select one. Be sure to also change the <b>Collect Directory</b> to the  <i>mysite/collect</i> folder. Click <b>OK</b> for the changes to take effect. Now, you will be adding and editing collections in the <b>mysite</b> site, and, when you click the Preview button, the selected library will be launched.</Text>
@@ -6070,5 +6073,5 @@
 <NumberedItem>
 <Text id="ni1-13">Visit <Link>http://www.os-templates.com/free-website-templates/news-magazine</Link> and click the <b>Download This Template</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download a file with a <i>7z</i> (<i>7zip</i>) extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
-<Text id="ni1-13a">To do the latter, visit <AutoText text="http://convertio.co/uz-zip/" />. Click the red <AutoText text="From computer" /> button. In the file browser dialog that appears, navigate to where you downloaded the <i>7zip</i> file. Select this file and confirm to close the file browser dialog. Once the file has finished uploading, the online service will say "ready" and a red <AutoText text="Convert" /> button will appear. Click that button and wait until the convertio.co site has converted your 7z file to zip. When it's done, it will say "finished" and a small green button marked  <AutoText text="Download" /> will appear. Click this button to download the zip version of the file. (<i>After</i> downloading has finished, you can press the close button, marked with a cross next to the download button, which will presumably clear your uploaded files from the convertio.co's server.)</Text>
+<Text id="ni1-13a">To do the latter, visit <Link>https://convertio.co/uz-zip/</Link> or <Link>https://onlineconvertfree.com/convert-format/7z-to-zip/</Link>. (If conversions don't work on Microsoft Edge, try another web browser like Firefox, if you have it installed. Or you can search the web for alternative free online zip conversion services.) The general proccess is the same: Upload your .7z file. Make sure the output format is set to zip and, once your file has been uploaded, you'll be presented with a convert button which you need to press. Once the conversion process has finished, a Download button will appear. Press it to download the .zip file onto your machine. (Such sites may also furnish you with a button by means of which you can clear your uploaded files from their servers.)</Text>
 <Text id="ni1-13b">On Windows, your converted <i>zip</i> version of the template will have been saved in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
 <Text id="ni1-14">In an Explorer window, navigate to your Downloads folder (<Path>C:\Users\&lt;user-name&gt;\Downloads</Path>). Right-click on the downloaded zip file containing the template, select <b>Extract All...</b> and, in the popup window, click <b>Extract</b>.</Text>
@@ -6076,5 +6079,5 @@
 <NumberedItem>
 <Text id="ni1-15">In the newly extracted folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the extracted folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. Move the <Path>perrin &rarr; scripts &rarr; galleryviewthemes &rarr; themes</Path> into <Path>perrin &rarr; images</Path>, and rename this <i>themes</i> folder to <i>galleryviewthemes</i>. If you wish, you can now delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
-<Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything<!-- except the <b>galleryviewthemes</b> folder and its contents-->, because we will not be using any of these images.</Text>
+<Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete all the images<!-- everything except the <b>galleryviewthemes</b> folder and its contents-->, because we will not be using any of these<!-- images-->.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -6640,5 +6643,5 @@
 				<Tab n="6"/>&lt;xsl:if test="page/pageResponse/collection"&gt;<br />
 					<Tab n="7"/>&lt;a href="{$library_name}/collection/{$collNameChecked}/page/about"&gt;<br />
-						<Tab n="8"/>&lt;xsl:value-of select="page/pageResponse/collection/displayItem[@name='name']"/&gt;<br />
+						<Tab n="8"/>&lt;xsl:value-of select="page/pageResponse/collection/displayItemList/displayItem[@name='name']"/&gt;<br />
 					<Tab n="7"/>&lt;/a&gt;<br />
 				<Tab n="6"/>&lt;/xsl:if&gt;<br />
@@ -6694,5 +6697,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni3-27">Save and close <b>main.xsl</b> and refresh the web browser to see the top bar. Click the <b>Login</b> button and log in as <b>admin</b> (default password is "admin") to see all of the links appear along the top (including links to the <b>Add User</b> page, to the <b>Administration</b> page, and to Logout).</Text>
+<Text id="ni3-27">Save and close <b>main.xsl</b> and refresh the web browser to see the top bar. Click the <b>Login</b> button and log in as <b>admin</b> (if you hadn't already changed the password, use the default password of "admin") to see all of the links appear along the top, including links to the <b>Add User</b> page, to the <b>Administration</b> page, and to Logout.</Text>
 </NumberedItem>
 <Heading>