Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32906)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32907)
@@ -11,5 +11,5 @@
 </Title>
 <MajorVersion number="2"><Version current="2.87"/></MajorVersion>
-<MajorVersion number="3"><Version current="3.08"/></MajorVersion>
+<MajorVersion number="3"><Version current="3.09"/></MajorVersion>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -507,5 +507,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -524,5 +524,5 @@
   <MajorVersion number="3">
     <Menu>
-      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Librarian Interface (GLI)</Text>
+      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.09 &rarr; Greenstone Librarian Interface (GLI)</Text>
     </Menu>
   </MajorVersion>
@@ -620,5 +620,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -774,5 +774,5 @@
 <SampleFiles folder="images_gps"/>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>
@@ -872,5 +872,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -984,5 +984,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -1731,5 +1731,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1855,5 +1855,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85|3.06" current="2.87|3.08"/>
+<Version initial="2.85|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -2042,5 +2042,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -2104,5 +2104,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -2213,5 +2213,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <NumberedItem>
@@ -2524,5 +2524,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Content>
 <NumberedItem>
@@ -2599,5 +2599,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -2644,5 +2644,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <NumberedItem>
@@ -2693,5 +2693,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -2965,5 +2965,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -3304,5 +3304,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <NumberedItem>
@@ -3358,5 +3358,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -3893,5 +3893,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -4233,5 +4233,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70|3.06" current="2.87|3.08"/>
+<Version initial="2.70|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -4364,5 +4364,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -4554,5 +4554,5 @@
 </Title>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.85|3.06" current="2.87|3.08"/>
+<Version initial="2.85|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -4691,5 +4691,5 @@
 </Title>
 <Prerequisite id="GS_OAI_server"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -4812,5 +4812,5 @@
 </Title>
 <!--<SampleFiles folder="pdfbox"/>-->
-<Version initial="2.88|3.09" current="2.87|3.08"/>
+<Version initial="2.88|3.09" current="2.87|3.09"/>
 <Content>
 <Comment><Text id="ucp-02">This is an advanced tutorial, in that it not only supposes you have familiarised yourself with most of what you've learned in preceding tutorials, but that you're also comfortable with downloading and installing software from the web, and have a little familiarity with using image editing software.</Text></Comment>
@@ -5058,5 +5058,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60|3.06" current="2.87|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.09"/>
 <Content>
 <Comment>
@@ -5109,5 +5109,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -5117,5 +5117,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.87 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
+<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.87 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.09 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
 <Text id="gems-5a">(If you're on Linux, use a terminal to run the <Command>gli/gems.sh</Command> start-up script.) </Text>
 </NumberedItem>
@@ -5151,5 +5151,5 @@
 </Title>
 <MajorVersion number="2"><SampleFiles folder="demo"/></MajorVersion>
-<Version initial="2.70w|3.06" current="2.87|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.09"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>.</Text>
@@ -5423,5 +5423,5 @@
 <SampleFiles folder="incr_build"/>
 <Prerequisite id="indexers"/>
-<Version initial="3.08" current="3.08"/>
+<Version initial="3.08" current="3.09"/>
 <Content>
 <Text id="ic-00">To allow you to quickly try out and experiment with our tutorial exercises, we tend to keep the number of sample files small. Every time you rebuild these collections, for simplicity, the default settings used in Greenstone mean that the previous version built is removed in its entirety. We refer to this as a <i>full-rebuild</i>. When building larger collections, this is inefficient.</Text>
@@ -5613,5 +5613,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.05" current="3.08"/>
+<Version initial="3.05" current="3.09"/>
 <Content>
 <Comment>
@@ -5622,5 +5622,5 @@
 </Heading>
 <NumberedItem>
-<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
+<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.09 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5743,5 +5743,5 @@
 <SampleFiles folder="custom"/>
 <Prerequisite id="using_themes"/>
-<Version initial="3.05" current="3.08"/>
+<Version initial="3.05" current="3.09"/>
 <Content>
 <Comment>
@@ -5826,5 +5826,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>
@@ -5832,5 +5832,5 @@
 </Comment>
 <NumberedItem>
-<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.08 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
+<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.09 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
 </NumberedItem>
 <Heading>
@@ -6062,5 +6062,5 @@
 </Title>
 <SampleFiles folder="libraries"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>
@@ -6074,5 +6074,5 @@
 </Heading>
 <NumberedItem>
-<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.08 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
+<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.09 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
 
 <Text id="dl-03">Change the url from <i>http://localhost:8383/greenstone3/library</i> to <i>http://localhost:8383/greenstone3/halftone-library</i> and reload the page. This is another library that is defined by Greenstone3. Again, the site it uses is <b>localsite</b>, but this library (called <b>halftone-library</b>) uses the <b>halftone</b> interface, which is based on the Greenstone2 layout. Let's take a look at where these libraries are defined.</Text>
@@ -6239,5 +6239,5 @@
 </Title>
 <SampleFiles folder="interfaces"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>
@@ -6353,5 +6353,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface1"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>
@@ -6555,5 +6555,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface2"/>
-<Version initial="3.06" current="3.08"/>
+<Version initial="3.06" current="3.09"/>
 <Content>
 <Comment>