Index: gs2-extensions/imagemagick/trunk/README
===================================================================
--- gs2-extensions/imagemagick/trunk/README	(revision 32016)
+++ gs2-extensions/imagemagick/trunk/README	(revision 32909)
@@ -25,18 +25,19 @@
 3. See section THINGS TO CHECK below and perform the tests there to check the compiled up imagemagick works.
 
-4. Create an imagemagick folder containing only setup.bash, setup.bat and the darwin folder.
+4. Create an imagemagick folder containing only setup.bash, setup.bat and the darwin folder (or the "linux" folder on linux machines).
 
-The darwin folder should only contain the following 4 folders, so remove the rest:
+4a. (This seems to be a Darwin-only step, as we don't cut-down the products in the linux folder the same way.)
+The darwin folder from step 4 should only contain the following 4 folders, so remove the rest:
 - script
 - etc
 - lib
 - bin: cut down to just the following 
+  convert
+  identify
+  Magick-config
   Magick++-config
-  Magick-config
   MagickCore-config
   MagickWand-config
   Wand-config
-  identify
-  convert
 
 Note: As per the El Capitan release-kit (kits/rk3/ant-scripts/compile.xml), only the darwin folder within the tarball (and not the setup scripts) will get copied over as the "imagemagick" folder into gs2build/bin/darwin. (So the "darwin" folder will be named "imagemagick" in the final binary.)
@@ -51,5 +52,7 @@
 THINGS TO CHECK
 
-To test imagemagick works:
+To test imagemagick works
+
+0. cd into src/<OS>/bin
 
 1. ./identify -list format
@@ -161,2 +164,33 @@
 -rwxrwxr-x  1 anupama  wheel  9653688 24 Aug 14:03 identify
 
+------------------------------------------------------------------------
+15 Mar 2019
+ak19
+
+On an Ubuntu 18.04 VM, we found that GLI launched and said imagemagick wasn't installed (despite being bundled) and it would have to find a system version.
+
+The included imagemagick was from a tarball, and when you ran "gs-magick.pl identify", the problem it was finding a system libpng which resulted in the secondary problem that this system libpng then required a different zlib from the bundled zlib:
+
+~/GS309_21Feb2019$ gs-magick.pl identify
+identify: /home/anupama/GS309_21Feb2019/gs2build/bin/linux/imagemagick/lib/libz.so.1: version `ZLIB_1.2.9' not found (required by /usr/lib/x86_64-linux-gnu/libpng16.so.16)
+
+
+Since the linux 64 tarball of imagemagick had been built 6 years ago, while the El Capitan imagemagick tarball was built 2 years ago, we hoped that rebuilding imagemagick again would produce a more static binary that would then bypass the above issue.
+
+Although imagemagick compiled successfully,
+* the command "identify -list format" under section THINGS TO CHECK above, did not include TIFF as one of the supported formats. We require support for gif, jp(e)g, png and tiff.
+* and the command "convert -list configure" did not list "tiff" among the delegates in the DELEGATES line, see https://imagemagick.org/discourse-server/viewtopic.php?t=20635
+
+The imagemagick config.log showed that there were errors with tiff when configuiring imagemagick.
+Searching through ImageMagick's config.log for occurrences of --with-tiff showed that despite --with-tiff being switched on, it got switched off because of failed configure tests. (See https://imagemagick.org/discourse-server/viewtopic.php?t=18039)
+
+PROBLEM AND SOLUTION:
+That was with tiff-3.9.4.tar.gz and ImageMagick-6.9.5-4.tar.gz, which was fine on El Capitan but not on Linux where TIFF was not supported (not just Ubuntu v18.04 but also v16.04).
+* The suggestion at http://lists.endsoftwarepatents.org/archive/html/discuss-gnustep/2001-07/msg00025.html was not helpful: we already appended -lz to our LDFLAGS for ImageMagick to help tiff along on Macs. The same line was already active for Linux too. And preceding the -lz with the insertion of -ltiff made no meaningful difference.
+* Just hiking up the tiff version gradually to tiff-4.0.10 (downloadable along with intermediate versions from https://download.osgeo.org/libtiff/ with tiff 4.0.10 being the latest) made no difference.
+* But in conjunction with ImageMagick-6.9.10-33.tar.gz, the most conservative version available at https://imagemagick.org/download/, compiled successfully with tiff-4.0.10, so that TIFF was now finally a listed format and had "rw" support when `identify -list format` is run. And doing "./convert logo: logo.tiff" followed by "file logo.tiff" shows the logo.tiff file resulting from the conversion to indeed be a TIFF file.
+
+
+It is possible that versions of ImageMagick and Tiff intermediate to those above would succeed as well, but that will be a rather long experiment with too many combinations of ImageMagick and Tiff. Since the GS3 tutorials still need to be tested on Mac and Linux machines, I'll see if the tarball can be successfully created on the linux-64bit lsb machine and works on Ubuntu 18.04.
+
+------------------------------------------------------------------------