Index: main/trunk/gli/README_WebGLI.txt
===================================================================
--- main/trunk/gli/README_WebGLI.txt	(revision 32915)
+++ main/trunk/gli/README_WebGLI.txt	(revision 32916)
@@ -2,32 +2,82 @@
 README 
 --------------------------
-Java Web Start version of GLI applet using our new JNLP file
 
-1. Follow the instructions at http://wiki.greenstone.org/doku.php?id=en:release:3.08_release_notes#setting_up_a_remote_greenstone_3_server for setting up the Remote GS Server and the GLI applet. This will have generated SignedGatherer.jar in the gli folder.
-2. Move the SignedGatherer.jar into GS3's web/applet folder. Edit GLIapplet.jnlp if necessary.
-3. Need to associate JNLP files with Java Web Start (jre/bin/javaws). On Windows, create the association in the usual way. For Linux, create a file with .desktop extension (e.g. javawebstart.desktop) containing the content a little further below. Then put the *.desktop file into ~/.local/share/applications
-4. Launch the Java Control Panel (jre/bin/javacpl.exe on Windows, ./.../jre/bin/ControlPanel on Linux). Go to the Security tab, set Security level to "High" if not already set. Click Edit Site List, and then press Add to add the host:port that the GS3 will run on.
-5. Once the GS3 code is compiled up, start up the GS3 web server and visit http://localhost:8383/greenstone3/library?a=p&sa=gli4gs3
-In the current version of the code, the GLI applet will load if the browser still supports applets. Otherwise, the fallback text will appear and provide a link to the GLIapplet.jnlp file. Since you should have set up the jnlp file association in step 3 above, you can now click on the GLIapplet.jnlp link and it should first download the jnlp file to a temporary user area (C:\Users\<user>\AppData\Local\Temp on windows) and then Java Web Start will be used to launch this JNLP file.
-6. After authorising the GLI to run, the JNLP version of the GLI Applet will eventually run and behave like the usual client-GLI/GLI applet from this point onward. 
+GLI Java Web Start application (replacement for GLI Applet) - Additional Steps
 
---------------------------
-FILE: javawebstart.desktop
---------------------------
+Many browsers have stopped supporting Java applets, while Microsoft's Internet Explorer, and perhaps Microsoft Edge, still support it. For this reason, 3.09's GLI is now no longer provided as an applet, but has been converted into a Java Web Start application.
+
+Instructions for using the GLI Java Web Start, which works over the JNLP protocol, are below.
+
+1. Follow the instructions at http://wiki.greenstone.org/doku.php?id=en:release:3.09_release_notes#setting_up_a_remote_greenstone_3_server for setting up the Remote GS Server
+
+2. Next, generate the SignedGatherer.jar:
+a. Use a terminal to go into the Greenstone "gli" directory, then run
+	keytool -genkey -alias privateKey -keystore appletstore -storepass greenstone
+Enter the appropriate details for your organization. When it asks to enter the key password for <privateKey>, choose your own password or hit Enter to use "greenstone".
+b. Next, run
+	jarsigner -keystore appletstore -signedjar SignedGatherer.jar GLI.jar privateKey
+When it prompts, enter the password you used in step 2a above.
+
+3. Move the created SignedGatherer.jar file from the gli directory into GS3's web/applet subdirectory.
+
+4. You need to associate JNLP files with Java Web Start (jre/bin/javaws).
+
+	- On Windows, create the association in the usual way: when you first access the GLI Web Start application through Greenstone,
+	a JNLP file called "GLIappWebStart.jnlp" will be offered for launching or download.
+	If JavaWS is not already the default application to open JNLP files with, rightclick on the downloaded GLIappWebStart.jnlp file
+	and choose Launch/Open with âŠ.
+	Browse to your Greenstone3's packages/jre/bin/javaws.exe or any installed Java's jre/bin/javaws.exe to use Java's Web Start application as the launcher.
 	
-	# This file makes Ubuntu associate .jnlp files with Java Web Start (javaws)
-	# This file should be adjusted and then copied into ~/.local/share/applications
-	# as a file with .desktop extension, e.g. javawebstart.desktop
-	# https://askubuntu.com/questions/235861/how-to-associate-jnlp-file-with-javaws
-	[Desktop Entry]
-	Encoding=UTF-8
-	Name=Java 7 Web Start
-	Comment=Java 7 Web Start
-	Exec=/home/greenstone/Desktop/linux/jre/bin/javaws %u
-	Terminal=false
-	Type=Application
-	Icon=javaws
-	Categories=Application;Network;
-	MimeType=application/x-java-jnlp-file;
+    - For Linux, create a file with .desktop extension (e.g. "javawebstart.desktop") containing the following, edit the path to javaws,
+	and save this file into ~/.local/share/applications:
+
+	--------------------------
+	FILE: javawebstart.desktop
+	--------------------------
+        # This file makes Ubuntu associate .jnlp files with Java Web Start (javaws)
+        # This file should be adjusted and then copied into ~/.local/share/applications
+        # as a file with .desktop extension, e.g. javawebstart.desktop
+        # https://askubuntu.com/questions/235861/how-to-associate-jnlp-file-with-javaws
+        [Desktop Entry]
+        Encoding=UTF-8
+        Name=Java 7 Web Start
+        Comment=Java 7 Web Start
+        Exec=/path-to-java-jre/bin/javaws %u
+        Terminal=false
+        Type=Application
+        Icon=javaws
+        Categories=Application;Network;
+        MimeType=application/x-java-jnlp-file;
+	--------------------------
+	
+5. Launch the Java Control Panel by running jre/bin/javacpl.exe on Windows or jre/bin/ControlPanel on Linux.
+(GS3 binaries now include a JRE in the packages folder if you want to use the bundled JRE.)
+In the Java Control Panel, go to the Security tab, set Security level to High if not already set.
+Click Edit Site List, and then press Add to add the host:port that the GS3 will run on.
+Remember, to be accessible to the outside world, the host can't be "localhost", but would be the hostname of your machine or public IP.
+
+6. Make the GLI link on the home page active: Open web/interfaces/default/transform/pages/home.xsl for editing, find the line
+
+    <!--<gslib:libraryInterfaceLink/><br/><br/>-->
+
+    and remove the comments. i.e. change it to
+
+    <gslib:libraryInterfaceLink/><br/><br/>
+
+7. Start up the GS3 web server and visit your DL library home page, http://[hostname]:8383/greenstone3/library.
+
+8. Since you have set up the JNLP file association in a previous step, you can now click on the "The Librarian Interface" link
+and your browser should offer to save or launch a file called GLIappWebStart.jnlp: One of the applications for launching it
+should be the Java Web Start application (javaws) that you associated with .jnlp file extensions. Choose that application as the launcher.
+If the browser is able to successfully launch it, Java Web Start will be used to run the GLI application indicated by the JNLP file.
+If launching through the browser is not possible, then choose to save the JNLP file.
+It will download the file to a temporary user area (like C:\Users\<user>\AppData\Local\Temp on windows).
+And then you can rightclick on the downloaded GLIappWebStart.jnlp file, to launch it with the Java Web Start program you already
+associated with this file type.
+
+9. After authorising the GLI to run, the JNLP version of the GLI Applet will eventually run and behave like the usual client-GLI
+(and like the old GLI applet) from this point onward. Refer to the client-gli section of
+http://wiki.greenstone.org/doku.php?id=en:release:3.09_release_notes#setting_up_a_remote_greenstone_3_server
+
 
 --------------------------