Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32992)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32993)
@@ -5070,5 +5070,5 @@
 <NumberedItem>
 <Text id="0790a">If you're on Windows, open a DOS window to access the command-line prompt. This facility should be located somewhere within your <Menu>Start &rarr; Programs</Menu> menu, but details vary between different Windows systems. If you cannot locate it and you are running <AutoText text="Windows XP"/>, select <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> in the popup window that appears. In <AutoText text="Windows Vista"/> or <AutoText text="Windows 7"/>, click the Start button and type <Command>cmd</Command> in the search box at the bottom of the Start menu. On <AutoText text="Windows 10"/>, hold down the Windows key (located between the Ctrl and Alt keys) and press <Format>s</Format> to bring up the <AutoText text="Search Windows"/> box and type <Format>cmd</Format> in it.</Text>
-<Text id="0790aa">If you're on a Unix system or on a Mac, open a terminal.</Text>
+<Text id="0790aa">If you're on a Unix system, Linux or Mac, open a terminal.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5254,10 +5254,11 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-27-3">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Change the <AutoText text="stem"/> option from <AutoText text="off"/> to <AutoText text="on"/>. This will change the search settings from the default, which is that the <AutoText text="whole word must match"/>, to <AutoText text="ignore word endings"/>. Now try searching for <i>econom</i> again, 9 documents are found.</Text>
+<Text id="indexers-27-3">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Change the <AutoText text="stem"/> option from <AutoText text="off"/> to <AutoText text="on"/>. This will change the search settings from the default, which is that the <AutoText text="whole word must match"/>, to <AutoText text="ignore word endings"/>. Now try searching for <i>econom</i> again. This time, 9 documents are found.</Text>
 <Text id="indexers-27a-3">Please note that word endings are determined according to the third-party stemming tables incorporated in Greenstone, not by the user. Thus the searches may not do precisely what is expected, especially when cultural variations or dialects are concerned. In addition, not all languages support stemming; only English and French have stemming at the moment.</Text>
 <Text id="indexers-27b-3">Change the <AutoText text="stem"/> option back to <AutoText text="off"/> (<AutoText text="whole word must match"/>) to avoid confusion later on.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="form search"/> page, switch <AutoText text="case"/> folding to <AutoText text="off"/> (<AutoText text="upper/lower case must match"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are different this time, with <i>fao</i> not returning any results.</Text>
+  <Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="form search"/> page, switch <AutoText text="case"/> folding to <AutoText text="off"/> (<AutoText text="upper/lower case must match"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are different this time, with <i>fao</i> not returning any results.</Text>
+  <Text id="indexers-28-4">Change the <AutoText text="case"/> folding option back to <AutoText text="on"/> (<AutoText text="ignore case differences"/>) to avoid confusion later on.</Text>
 </NumberedItem>
 </MajorVersion>
@@ -5453,5 +5454,5 @@
 <Text id="ic-04c">The above step sets the identifiers used by Greenstone for this collection's documents to be based on their full filenames. Doing so will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text>
 <Comment>
-  <Text id="ic-04d">In this step you've learnt how to edit the collectionConfig.xml by hand. You can also edit the collectionConfig file from within GLI. In that case, with the collection open in GLI, you'd go to <AutoText key="glidict::Menu.Edit"/> &gt; <AutoText key="glidict::Menu.Edit_Config"/>. The XML editor that opens also validates any changes you make to the file, to help prevent you from leaving it in an invalid state. It provides the usual <AutoText key="glidict::General.Undo"/> and <AutoText key="glidict::General.Redo"/> buttons. You can use the <AutoText text="Find"/> toolbar at the bottom of the editor to locate text of interest in the collectionConfig file (e.g. search for "importoption"). Once you've finished editing the file, you'd press the <AutoText key="glidict::General.Save"/> button, which will save the changes, close the editor and immediately reload the collection in order to put your changes into effect. If you're not happy with your edits, you can press the <AutoText key="glidict::General.Cancel"/> button to close the editor without saving any changes.</Text>
+  <Text id="ic-04d">In this step you've learnt how to edit the collectionConfig.xml by hand. You can also edit the collectionConfig file from within GLI. In that case, with the collection open in GLI, you'd go to <AutoText key="glidict::Menu.Edit"/> &gt; <AutoText key="glidict::Menu.Edit_Config"/>. The XML editor that opens also validates any changes you make to the file, to help prevent you from leaving it in an invalid state. It provides the usual <AutoText key="glidict::General.Undo"/> and <AutoText key="glidict::General.Redo"/> buttons. You can use the <AutoText text="Find"/> toolbar at the bottom of the editor to locate text of interest in the collectionConfig file (e.g. search for "importoption"). Once you've finished editing the file, you'd press the <AutoText key="glidict::General.Save"/> button, which will save the changes, close the editor and immediately reload the collection in order to put your changes into effect. Or if you're not happy with your edits, you can press the <AutoText key="glidict::General.Cancel"/> button to close the editor without saving any changes.</Text>
 </Comment>
 </MajorVersion>
@@ -5552,5 +5553,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-13">When it has finished, preview the collection once more and check that the 2 documents have been removed. They should not turn up in the browse classifiers, nor in search results. For example, search for "kouprey" again. Check that when you search for the term this time, that no documents matched the query. (Since it only occurred in document <i>b18ase</i>, which has now been removed from the collection.)</Text>
+<Text id="ic-13">When it has finished, preview the collection once more and check that the 2 documents have been removed. They should not turn up in the browse classifiers, nor in search results. For example, search for "kouprey" again. Check that when you search for the term this time, that no documents matched the query. (Since it only occurred in document <i>b18ase</i>, which has now been removed from the collection.) Likewise, searching for "groundnuts" should not return results either, because document <i>b20cre</i> wherein it occurred has also been removed.</Text>
 </NumberedItem>
 <Heading>
@@ -5596,5 +5597,5 @@
 </Comment>
 <NumberedItem>
-  <Text id="ic-21">Now repeat all the above exercises in the same sequence once again, but with a new collection called <i>autoincr</i> also based on the <i>Demo</i> collection (remember to set <Format>&lt;importOption name="OIDtype" value="full_filename"/&gt;</Format> in the collectionConfig.xml file once again). This time, however, <i>don't</i> pass in any manifest file as an argument to the <Format>incremental-import.pl</Format> script. So you'd be running these commands after each change:</Text>
+  <Text id="ic-21">Now repeat all the above exercises in the same sequence once again, but with a new collection called <i>autoincr</i> also based on the <i>Demo</i> collection. Remember to once again set <Format>&lt;importOption name="OIDtype" value="full_filename"/&gt;</Format> in the collectionConfig.xml file and to make <Format>document</Format> level for searching the <Format>default</Format>. And build the collection the first time around with <Format>perl -S full-rebuild.pl -site localsite autoincr</Format>, also largely as before. However, this time <i>don't</i> pass in any manifest file as an argument to the subsequent rebuild commands which use the <Format>incremental-import.pl</Format> script. So you'd be running these commands after each change:</Text>
   <Format>
     perl -S incremental-import.pl -incremental -site localsite autoincr<br />